clang 8.0.0

Macros | Functions
popcntintrin.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | __DEFAULT_FN_ATTRS __attribute__((__always_inline__, __nodebug__, __target__("popcnt")))

## Functions
static __inline__ int __DEFAULT_FN_ATTRS | _mm_popcnt_u32 (unsigned int __A)
| Counts the number of bits in the source operand having a value of 1. More...
static __inline__ int __DEFAULT_FN_ATTRS | _popcnt32 (int __A)
| Counts the number of bits in the source operand having a value of 1. More...

## Macro Definition Documentation

## ◆ __DEFAULT_FN_ATTRS

#define __DEFAULT_FN_ATTRS __attribute__((__always_inline__, __nodebug__, __target__("popcnt")))

Definition at line 28 of file popcntintrin.h.

Referenced by _mm_popcnt_u32(), and _popcnt32().

## Function Documentation

## ◆ _mm_popcnt_u32()

static __inline__ int __DEFAULT_FN_ATTRS _mm_popcnt_u32 | ( | unsigned int | __A | ) |
| static

Counts the number of bits in the source operand having a value of 1.

This intrinsic corresponds to the `POPCNT` instruction.

Parameters

  __A | An unsigned 32-bit integer operand.

Returns
  A 32-bit integer containing the number of bits with value 1 in the source operand.

Definition at line 41 of file popcntintrin.h.

References __DEFAULT_FN_ATTRS.

## ◆ _popcnt32()

static __inline__ int __DEFAULT_FN_ATTRS _popcnt32 | ( | int | __A | ) |
| static

Counts the number of bits in the source operand having a value of 1.

This intrinsic corresponds to the `POPCNT` instruction.

Parameters

  __A | A signed 32-bit integer operand.

Returns
  A 32-bit integer containing the number of bits with value 1 in the source operand.

Definition at line 57 of file popcntintrin.h.

References __DEFAULT_FN_ATTRS.